Bug 1254964 - [PROD](6.4.z) weld-servlet missing due to partial build
[PROD](6.4.z) weld-servlet missing due to partial build
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
Unspecified Unspecified
high Severity high
: CR1
: EAP 6.4.4
Assigned To: Fernando Nasser
Petr Kremensky
: 901629 (view as bug list)
Depends On: 1245728
Blocks: 1260929 1235744
  Show dependency treegraph
Reported: 2015-08-19 06:52 EDT by Ryan Zhang
Modified: 2017-01-17 05:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-01-17 05:47:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2015-08-19 06:52:03 EDT
Description of problem:
I spot that weld-servlet is missing from EAP build in https://brewweb.devel.redhat.com/buildinfo?buildID=441732

The weld-servlet are using by layered products (eg: BRMS BPMSuite).
I think full build is expected to includes all modules in weld as decided before.
Could anyone rebuild the weld project in order to produce the weld-servelt artifact?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Vladimir Dosoudil 2015-09-09 13:17:46 EDT
Artifact weld-servlet will be available in the EAP 6.4 MEAD repository with EAP 6.4.4. Weld is going to be upgraded to 1.1.31.Final(-redhat-1) with rebuilds of whole Weld projects tree (see blocking BZ-1245728) and other artifacts from Weld Core project will be included.
Comment 3 Vladimir Dosoudil 2015-09-09 13:59:01 EDT
Resolving this bug is direct consequence of resolving bug 1245728.
Comment 5 Petr Kremensky 2015-09-23 06:29:21 EDT
Verified on EAP 6.4.4.CP.CR3

Comment 6 Carlo de Wolf 2016-01-22 03:24:42 EST
*** Bug 901629 has been marked as a duplicate of this bug. ***
Comment 7 Petr Penicka 2017-01-17 05:47:47 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.